[TIP] Blender 2.71 no arranca, libGLEW.so.1.10 parace que no está

Hoy he necesitado ( quien dice necesitar dice por capricho 😀 ) usar Blender, que hacía ya bastante tiempo que no lo usaba y me he encontrado que le daba al icono, hacía el intento y no arrancaba, me he ido a la terminal a ver que pasaba y me tiraba el siguiente error

blender: error while loading shared libraries: libGLEW.so.1.10: cannot open shared object file: No such file or directory

Haciendo una pequeña busqueda por la red he visto algo de instalar desde yaourt el paquete glew a una versión que blender utilice, supongo en este caso sería la glew1.0 ( He leído casos con el mismo error en glew1.8 y glew 1.9 ) pero al darle a instalar me ha salido un cartel rojo luminoso que ponía algo como ” paquete huerfano y obsoleto. Paquete sin soporte podría ser peligroso ” así que he decidido no instalarlo.

Entonces me acordé de algo que hice hace bastante tiempo no me acuerdo con que programa y que me solucionó un problema parecido así que me puse manos a la obra

Nos movemos al directorio /lib

#cd /lib

Buscamos el archivo en cuestion

#ls | grep libGLEW

y nos tira el siguiente resultado

libGLEWmx.so
libGLEWmx.so.1.11
libGLEWmx.so.1.11.0
libGLEW.so
libGLEW.so.1.11
libGLEW.so.1.11.0

Entonces hice un enlace simbólico del archivo con mismo nombre pero diferente versión del que nos pide Blender al mismo directorio

#ln -s libGLEW.so.1.11 libGLEW.so.10.0

Salgo del modo Supersayan de la terminal y ejecuto blender ya con exito

blender

Espero que le pueda servir a alguien con el mismo problema 🙂

Un comentario:

  1. Pingback: Bitacoras.com

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.